org.apache.pdfbox.util

## Class Charsets

- java.lang.Object
- - org.apache.pdfbox.util.Charsets

    public final class Charsets
    extends Object

Utility class providing common Charsets used in PDFBox.

Author:
  John Hewson

### Field Summary

Fields
`static Charset` `ISO_8859_1` ISO-8859-1 charset
`static Charset` `US_ASCII` ASCII charset
`static Charset` `UTF_16BE` UTF-16BE charset
`static Charset` `UTF_16LE` UTF-16LE charset
`static Charset` `UTF_8` UTF-8 charset
`static Charset` `WINDOWS_1252` Windows-1252 charset

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### US_ASCII

    public static final Charset US_ASCII

ASCII charset

#### UTF_16BE

    public static final Charset UTF_16BE

UTF-16BE charset

#### UTF_16LE

    public static final Charset UTF_16LE

UTF-16LE charset

#### ISO_8859_1

    public static final Charset ISO_8859_1

ISO-8859-1 charset

#### WINDOWS_1252

    public static final Charset WINDOWS_1252

Windows-1252 charset

#### UTF_8

    public static final Charset UTF_8

UTF-8 charset